package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 班级、学生关系表
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("class_group_student_mapper")
public class ClassGroupStudentMapper extends Model<ClassGroupStudentMapper> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;
    /**
     * 班级
     */
    @TableField("class_group_id_")
    private Integer classGroupId;
    /**
     * 学生
     */
    @TableField("user_id_")
    private Integer userId;
    @TableField("create_time_")
    private Date createTime;
    /**
     * 状态（在读、请假、休学、退学）
     */
    @TableField("status_")
    private String status;


    public Long getId() {
        return id;
    }

    public ClassGroupStudentMapper setId(Long id) {
        this.id = id;
        return this;
    }

    public Integer getClassGroupId() {
        return classGroupId;
    }

    public ClassGroupStudentMapper setClassGroupId(Integer classGroupId) {
        this.classGroupId = classGroupId;
        return this;
    }

    public Integer getUserId() {
        return userId;
    }

    public ClassGroupStudentMapper setUserId(Integer userId) {
        this.userId = userId;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public ClassGroupStudentMapper setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public String getStatus() {
        return status;
    }

    public ClassGroupStudentMapper setStatus(String status) {
        this.status = status;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "ClassGroupStudentMapper{" +
        ", id=" + id +
        ", classGroupId=" + classGroupId +
        ", userId=" + userId +
        ", createTime=" + createTime +
        ", status=" + status +
        "}";
    }
}
